Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008198opensim[REGION] Script Functionspublic2017-06-26 06:292018-12-11 17:25
Reporterdjphil 
Assigned ToBillBlight 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionSeven
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0008198: [SCRIPT FUNCTION REQUEST] osNpcSayTo
DescriptionNpc can Whisper, Say and Shout
It would be interesting if the NPC could also Say To

Something like:
osNpcSayTo(key npc, integer channel, key target, string message)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Environment.NET / Windows32
Mono VersionNone
ViewerFirestorm
Attached Filespatch file icon osNpcSayTo.patch [^] (4,430 bytes) 2018-12-10 22:01 [Show Content]

- Relationships

-  Notes
(0033602)
BillBlight (developer)
2018-12-10 22:01

Attached patch for testing.

I have tested on Yengine to this point and it works.
(0033603)
BillBlight (developer)
2018-12-10 22:17

Patch for testing only at this point
(0033611)
UbitUmarov (administrator)
2018-12-11 11:00

on master with some cleanup
(0033623)
djphil (reporter)
2018-12-11 17:23

Added to Wiki @ http://opensimulator.org/wiki/OsNpcSayTo [^]
(0033624)
djphil (reporter)
2018-12-11 17:25

Ty Bill & Ubit :)

- Issue History
Date Modified Username Field Change
2017-06-26 06:29 djphil New Issue
2018-12-10 22:01 BillBlight File Added: osNpcSayTo.patch
2018-12-10 22:01 BillBlight Note Added: 0033602
2018-12-10 22:17 BillBlight Note Added: 0033603
2018-12-10 22:17 BillBlight Assigned To => BillBlight
2018-12-10 22:17 BillBlight Status new => patch included
2018-12-11 11:00 UbitUmarov Note Added: 0033611
2018-12-11 17:23 djphil Note Added: 0033623
2018-12-11 17:24 djphil Status patch included => resolved
2018-12-11 17:24 djphil Fixed in Version => master (dev code)
2018-12-11 17:24 djphil Resolution open => fixed
2018-12-11 17:25 djphil Note Added: 0033624
2018-12-11 17:25 djphil Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker